KJS::Completion class Reference (kjs Library)

| # kjs Library API Documentation
Overview | Class Hierarchy | Classes | Classes (annotated) | Members | Source Files

# KJS::Completion Class Reference

Completion objects are used to convey the return status and value from functions. Handle for a Completion type. More...

`#include <types.h>`

Inheritance diagram for KJS::Completion:

[legend]
Collaboration diagram for KJS::Completion:

[legend]
List of all members.

## Public Member Functions
| Completion (ComplType c=Normal, const Value &v=Value(), const UString &t=UString::null)
| Completion (CompletionImp *v)
| Completion (const Completion &v)
Completion & | operator= (const Completion &v)
ComplType | complType () const
Value | value () const
UString | target () const
bool | isValueCompletion () const
## Static Public Member Functions
Completion | dynamicCast (const Value &v)
| Converts a Value into an Completion.

## Detailed Description

Completion objects are used to convey the return status and value from functions. Handle for a Completion type.

See FunctionImp::execute()

See also:
  FunctionImp

Definition at line 248 of file types.h.

## Member Function Documentation

Completion Completion::dynamicCast | ( | const Value & | v | ) | `[static]`

| Converts a Value into an Completion. If the value's type is not CompletionType, a null object will be returned (i.e. one with it's internal pointer set to 0). If you do not know for sure whether the value is of type CompletionType, you should check the isNull() methods afterwards before calling any methods on the returned value. Returns: The value converted to an Completion Definition at line 311 of file types.cpp. References KJS::Value::imp(), KJS::Value::isNull(), and KJS::Value::type().

The documentation for this class was generated from the following files:

- types.h
- types.cpp

This file is part of the documentation for kdelibs Version 3.1.5.
Documentation copyright © 1996-2002 the KDE developers.
Generated on Wed Jan 28 13:09:32 2004 by doxygen 1.3.4 written by Dimitri van Heesch, © 1997-2001